Package org.apache.tools.ant.util

# Class FileTokenizer

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.util.FileTokenizer

All Implemented Interfaces:
  `Cloneable`, `Tokenizer`

Direct Known Subclasses:
  `TokenFilter.FileTokenizer`

public class FileTokenizer extends ProjectComponent implements Tokenizer
Class to read the complete input into a string.

Since:
  Ant 1.7

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileTokenizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPostToken()`
  Return the intra-token string
  `String`
  `getToken(Reader in)`
  Get the complete input as a string

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileTokenizer

    public FileTokenizer()

- ## Method Details

  - ### getToken

    public String getToken(Reader in) throws IOException
    Get the complete input as a string
    Specified by:
      `getToken` in interface `Tokenizer`
    Parameters:
      `in` - the reader object
    Returns:
      the complete input
    Throws:
      `IOException` - if error reading

  - ### getPostToken

    public String getPostToken()
    Return the intra-token string
    Specified by:
      `getPostToken` in interface `Tokenizer`
    Returns:
      an empty string always